package com.hfkj.service.audit;

import com.hfkj.entity.AuditMsg;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: AuditMsgService
 * @Description: 审核管理
 * @author: gongjia
 * @date: 2019/10/30 11:36
 */
public interface AuditMsgService {
    /**
     * @Author Sum1Dream
     * @Name create
     * @Description // 创建
     * @Date 15:11 2024/4/19
     * @Param CouponDiscount
     * @return void
     */
    void create(AuditMsg auditMsg);

    /**
     * @Author Sum1Dream
     * @Name update
     * @Description // 修改
     * @Date 15:12 2024/4/19
     * @Param CouponDiscount
     * @return void
     */
    void update(AuditMsg auditMsg);

    /**
     * @Author Sum1Dream
     * @Name queryDetail
     * @Description // 根据ID查询详情
     * @Date 15:12 2024/4/19
     * @Param id
     * @return com.hfkj.entity.CouponDiscount
     */
    AuditMsg queryDetail(Long id);

    /**
     * @Author Sum1Dream
     * @Name queryDetailByMap
     * @Description // 根据多条件查询
     * @Date 15:12 2024/4/19
     * @Param map
     * @return com.hfkj.entity.CouponDiscount
     */
    AuditMsg queryDetailByMap(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name getList
     * @Description // 根据多条件查询列表
     * @Date 15:13 2024/4/19
     * @Param map
     * @return java.util.List<com.hfkj.entity.CouponDiscount>
     */
    List<AuditMsg> getList(Map<String , Object> map);
}
